How to enter words and collocations into the English-German dictionary
  • How to enter a noun into the English-German dictionary
  • How to enter a verb into the English-German dictionary
  • How to enter an adjective into the English-German dictionary
  • How to enter an adverb into the English-German dictionary
  • How to enter the government information into the English-German dictionary

Copyright © PROMT Ltd., 2003. All rights reserved.


How to enter English words and collocations

Rules of entering a word:

  • A verb should be entered in the form of Infinitive (for example, finish).
  • A noun should be entered in singular (for example, book), except the case when the noun is used only in plural (for example, people).
  • An adjective should be entered in the positive degree of comparison (for example, long). If the comparative and superlative forms are formed in non-standard way (for example, good-better-best), they should be entered separately.
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  • The main word in a collocation should be entered according to the rules for entering words.

Words should be typed in lower case letters, unless they are Proper names.


How to enter a noun into the English-German dictionary

Let’s enter a noun 'thumbtack' translated as 'der Reißnagel' into the English-German dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the noun 'thumbtack'. A noun should be entered in singular form (See: Rules for entering English words and collocations).
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Noun. Click OK.
  3. In the Noun Declension dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'thumbtack'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  6. Click the Add button to enter the translation equivalent.
  7. In the Translation dialog box type 'der Reißnagel' and click OK. (See: Rules for entering German translation equivalents).
  8. In the Inflexion Type dialog box, in the Gender and Number questionnaire mark the appropriate Gender and Number of the output noun (Masculine). Click the Declension button.
  9. In the Noun Declension dialog box check the correctness of the word forms and click OK.
  10. The Entry dialog box will appear again and new translation will be added to the list.
  11. Click the Government button to enter the information about the government of the source word.

    12. The Government button is accessible only if you work in the Expert mode and after the translation equivalent is entered.

  12. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter an adjective into the English-German dictionary

Let’s enter an adjective 'herbaceous' translated as 'krautartig' into the English-German dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the adjective 'herbaceous'. An adjective should be entered in the positive degree of comparison (See: Rules for entering English words and collocations).
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Adjective. Click OK.
  3. In the Adjective Declension dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'herbaceous'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  6. Click the Add button to enter the translation equivalent.
  7. In the Translation dialog box type 'krautartig' and click OK. (See: Rules for entering German translation equivalents.)
  8. In the Inflexion Type dialog box, in the Degrees of comparison by the pattern questionnaire mark the appropriate model of the output adjective (alt-älter). Click the Declension button.
  9. In the Adjective Declension dialog box check the correctness of the word forms and click OK.
  10. The Entry dialog box will appear again and new translation will be added to the list.
  11. Click the Government button to enter the information about the government of the source word.

    12. The Government button is accessible only if you work in the Expert mode and after the translation equivalent is entered.

  12. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter a verb into the English-German dictionary

Let’s enter a verb 'recognize' translated as 'erkennen' into the English-German dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the verb 'recognize'. A verb should be entered in the form of Infinitive (See: Rules for entering English words and collocations).
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Verb. Click OK.
  3. In the Verb Conjugation dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'recognize'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  6. Click on the Add button to enter the translation equivalent.
  7. In the Translation dialog box type 'erkennen' and click OK. (See: Rules for entering German translation equivalents)
  8. In the Morphological characteristic dialog box specify the auxiliary verb (haben) which should be used with this verb during its conjugation.
  9. In the Verb Conjugation dialog box check the correctness of the word forms and click OK.
  10. The Entry dialog box will appear again and new translation will be added to the list.
  11. Click the Government button to enter the information about the government of the source word.

    12. The Government button is accessible only if you work in the Expert mode and after the translation equivalent is entered.

  12. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter an adverb into the English-German dictionary

Let’s enter an adverb 'regrettably' translated as 'bedauerlich' into the English-German dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the adverb 'regrettably'. See: Rules for entering English words and collocations.
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Adverb. Click OK.
  3. The Entry dialog box appears containing entry components for the word 'regrettably'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  4. Click on the Add button to enter the translation equivalent.
  5. In the Translation dialog box type 'bedauerlich' and click OK. See: Rules for entering German translation equivalents.
  6. The Entry dialog box will appear again and new translation will be added to the list.
  7. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter the information about the Government

To enter the government information, do the following:
  1. Specify the Expert mode within the User's Skill.
  2. Open an entry of the source word. The translation equivalent should be entered.
  3. Click the Government button.
  4. In the Government dialog box click the Change button that corresponds to the necessary model of government.
  5. Select the Source Model for Key and the Target Model for Translation.
  6. Once the government information is entered, click OK .

The government information is accessible only if you work in the Expert mode and after the translation equivalent is entered.

See also:

Examples of the government

How the government information affects the translation quality


Glossary
  • Active and inactive translation
  • Attached dictionary
  • Collocation
  • Direction of translation
  • General dictionary
  • Government
  • Ending
  • Entry
  • Inflexion Type
  • Initial form
  • Paradigm
  • Phrase with insertion
  • Semantic class
  • Specialized dictionary
  • Stem
  • Translation equivalents
  • User dictionary
  • User's skill
  • Word form


 Active and inactive translations

Each dictionary entry contains a list of active translations which are used during translation.

Besides, the dictionary entry may contain a list of inactive translations which are NOT used during translation but may be present in the dictionary for additional information.

Each active translation may be marked as inactive and vice versa. At least one active translation must be present in the entry.

Both active and inactive translations may contain comments - any supplementary text before the translation equivalent. Comments will NEVER appear in the text of translation.


"Constructions" questionnaire

Allows you to assign a translation equivalent to different constructions (Perfect or Passive) containing the participle of the source verb.


"Degree of Comparison" questionnaire

Degree of Comparison questionnaire defines the degree of comparison of the source adjective:

  • Positive degree of comparison (for example, 'good')
  • Comparative degree of comparison (for example, 'better')
  • Superlative degree of comparison (for example, 'best').
  • No Degree (for example, 'first')

If the degrees of comparison of the adjective are formed in a standard way (for example: 'long' - 'longer' - 'the longest'), you do not need to enter these forms into the dictionary because they will be automatically determined by the translation program.


"Headword" area

Headword area contains the headword of the entry (source word or collocation).

The name of the tab (Noun, Verb, Adjective, Adverb) corresponds to the part of speech of the source word or collocation.

If the source word relates to different parts of speech, you may switch to any of them by selecting the corresponding tab.

The Additional tab allows you to correctly work with some classes of words relating to different parts of speech.

If the source word relates to different parts of speech, you may delete one of them by using the Delete Part of speech command from the pop-up menu, which becomes accessible if you place the mouse cursor in the empty field of the tab and click the right mouse button.

See also:

Example of a headword relating to different tabs


"Morphology" questionnaire

Morphology questionnaire allows you to view the translations of various forms (Infinitive, Present Indefinite, Past Indefinite, Participle I, Participle II) of the source verb. According to the chosen variant, the form of the source verb and its appropriate translations are shown.

Click the button [image] in the Morphology questionnaire, if you want to exclude some verb forms from the dictionary entry.


"Name" questionnaire

Name questionnaire indicates whether the source noun is:

  • Proper name (name of a person, geographical name, company name, etc.)
  • Common name

See also:

Examples of Proper and Common names


"Number" questionnaire

Number questionnaire allows you to view the translations of various forms (Singular or Plural) of the source noun. According to the chosen variant, the form of the source noun and its appropriate translations are shown.


"Semantic class" list box

Semantic class list box specifies information related to the general meaning of the source noun.

See also:

Examples of semantic classes


"Substantivized translation" option

Mark this option, if you want to enter the translation of the source noun in a form of a substantivized adjective.

For example: for the noun 'deputy' you can enter the adjective translation 'abgeordnet' and the program will treat it as a noun 'der Abgeordnete'.


Title bar of the "Entry" dialog box

In the title bar of the Entry dialog box you can see the mode in which you work now with the entry: Beginner or Expert.


"Translation properties" field

If you want to specify an additional translation for the adjective used in a compound nominal predicate, you should:

  1. Enter the additional translation and select it in the list of active translations.
  2. Mark the Predicative adjective option in the Translation properties field.

See also:

Example of an additional translation for a predicative adjective


"Voice" questionnaire

Voice questionnaire

shows the information about the transitivity of the source verb.

  • A verb is transitive if it can have a direct ( non-prepositional) object.
  • A verb is intransitive if it can have an object only with preposition.
  • A verb is reflexive, if it is always used with a reflexive pronoun.

Sometimes the same verb can be used both as transitive and intransitive but with different meanings and possibly different translations.

You may switch between transitive, intransitive and reflexive meanings of the verb and assign an appropriate translation to each of them. The forms with special translations are marked with [image] .

See also:

Examples of transitive and intransitive verbs


"All translations" field

Mark the In postposition option if you want to specify that the adjective translations should be placed not before the determined noun but after it.

For example, the adjective 'second-class' can be translated into German as 'zweiter Klasse' and in the German text should be placed after the noun ('the second-class ticket' - 'die Karte zweiter Klasse').


Attached dictionaries

Attached dictionaries are those dictionaries accessible for the given direction of translation which are used during document translation. You can see the list of accessible dictionaries in the Dictionaries dialog box. The dictionaries which are attached for translation of the given document are marked with [image], and the order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title. During translation process, the program searches for a translation equivalent in these dictionaries in the order in which they appear in the list. The last dictionary to search in is the General dictionary.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.


Common buttons in the "Entry" dialog box

The following common buttons are accessible in the tabs of the "Entry" dialog box:

  • Edit button - edits the selected translation of the source word or collocation;
  • Add button - adds a new translation of the source word or collocation;
  • Delete button - deletes the selected translation of the source word or collocation;
  • OK button - closes the window and saves the entry in the user dictionary;
  • Cancel button - closes the window without saving the entry.


Initial form

Initial form - is one of the word forms which is traditionally selected as a representative of the given word in the dictionary:

  • For a verb it is an Infinitive form;
  • For a noun:
    • In English, Spanish, Portuguese, Italian and French it is singular;
    • In German and Russian: it is nominative case, singular;
  • For an adjective:
    • In English: it is positive degree of comparison;
    • In Spanish, Portuguese, Italian and French: it is masculine, singular;
    • In German and Russian: it is nominative case, masculine, singular, positive degree of comparison.


Word collocation

Word collocation (or simply collocation, or word combination, or phrase, or expression) is a combination of significant words (with syntactic words or without them), which serve for expressing a single conception or notion (for example, "program of machine translation").


"Adjective" tab

"Adjective" tab ("Entry" dialog box)

This tab contains the description of the adjective entry in an English-German dictionary. You may add or edit the translations and grammar information assigned to the adjective entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Grammar information:
    • Degree of Comparison questionnaire - defines the degree of comparison of the source adjective;
    • All translations field - allows you to specify the place of the adjective translations (before the noun or after it);
    • Translation properties field - allows you to specify an additional translation for the adjective used in a compound nominal predicate;
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box;
  • Government button - allows you to enter the government information.

    The Government button is displayed only if you work in the Expert mode and after the translation equivalent is entered.

See also:

How to enter an adjective in the English-German dictionary


"Adverb" tab

"Adverb" tab ("Entry" dialog box)

This tab contains the description of the adverb entry in an English-German dictionary. You may add or edit the translation equivalent of the adverb.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Dictionaries list - contains the dictionaries in which the source word was found;
  • Active translations list - contains the active translations for the source word or collocation;
  • Inactive translations button - allows you to view and edit the list of inactive translations.
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box.

See also:

How to enter an adverb in the English-German dictionary


"Substantive translation for gerund" dialog box

The translation for Participle I is formed automatically when you enter the verb. Besides, you can enter the substantive translation equivalent for Gerund, if it exists.

See also:

Example of the substantive translation for Gerund


"Noun translation" dialog box

This dialog box allows you to specify the translation for the noun from the phrase with insertion of the definite type.

  • If you check the Accept the noun translation from the dictionary option, you will NOT be suggested to enter the translation for the noun. During translation of the text containing this phrase with insertion, the program will take the noun translation from the current dictionary.
  • If you check the Change the noun translation option, you will be suggested to enter the translation for the noun.


"Comment" dialog box

This dialog box allows you to view or edit the text which should be considered as comment for the current translation.

Comments may be applied to both active and inactive translations.

See also:

List of abbreviations used in the comments


"Additional" tab

This dialog box allows you to correctly enter a word to the dictionary which is usually used in the functions of one part of speech, but in some rare cases may be used in the functions of another part of speech.

In the Verb/Noun group:

  • The default No priority option means that this word is equally often used in the functions of both parts of speech.
  • If you mark the Priority of Noun option, then this word will be considered as a verb only if the analysis of the sentence structure will unambiguously determine such case, and it will be considered as a noun in all other cases.

In the Noun/Adjective group:

  • The default No priority option means that this word is equally often used in the functions of both parts of speech.
  • If you mark the Priority of Adjective option, then this word will be considered as a noun only if the analysis of the sentence structure will unambiguously determine such case, and it will be considered as a adjective in all other cases.

See also:

Examples


"Declension / Conjugation" dialog box

In this dialog box the program automatically specifies the acceptable forms of the source word, and you should only check them and change if necessary.

This dialog box can be of the following types:

  • Noun Declension dialog box
  • Adjective Declension dialog box
  • Verb Conjugation dialog box

The Pattern list contains sample words relating to the most common inflexion types. The program automatically selects the sample out of this list and inflects the source word similar to the sample. You may choose a different sample in the list as well.

To correct any form of the word, place the cursor to the necessary line and type the correct variant. If some form of the word is absent, leave the line empty.

If you entered the forms of a word incorrectly, you will see a message "Inflexion Type is not determined".


"Adjective Declension" dialog box

Define some of the following forms for the source adjective:

  • Positive
  • Comparative
  • Superlative
  • Adverb


"Noun Declension" dialog box

Define some of the following forms for the source noun:

  • Singular
  • Plural
  • Possessive case, singular
  • Possessive case, plural


"Verb Conjugation" dialog box

Define some of the following forms for the source verb:
  • Infinitive
  • Present Indefinite
  • Past Indefinite
  • Participle II
  • Participle I


"Declension / Conjugation" dialog box

In this dialog box the program automatically specifies the acceptable forms of the output word, and you should only check them and change if necessary.

This dialog box can be of the following types:

  • Noun Declension dialog box
  • Adjective Declension dialog box
  • Verb Conjugation dialog box

The Pattern list contains sample words relating to the most common inflexion types. The program automatically selects the sample out of this list and inflects the output word similar to the sample. You may choose a different sample in the list as well.

To correct any form of the word, place the cursor to the necessary line and type the correct variant. If some form of the word is absent, leave the line empty.

If you entered the forms of a word incorrectly, you will see a message "Inflexion Type is not determined".


"Adjective Declension" dialog box

Define some of the following forms for the output adjective:

  • Positive
  • Nominative Singular
  • Comparative
  • Superlative


"Noun Declension" dialog box

Define some of the following forms for the output noun:

  • Nominative Singular
  • Genitive Singular
  • Dative Singular
  • Accusative Singular
  • Nominative Plural
  • Genitive Plural
  • Dative Plural
  • Accusative Plural


"Verb Conjugation" dialog box

Define some of the following forms for the output verb:

  • Infinitive
  • I. Person Singular Present Indicative
  • II. Person Singular Present Indicative
  • III. Person Singular Present Indicative
  • I. Person Plural Present Indicative
  • II. Person Plural Present Indicative
  • I. Person Singular Preterit Indicative
  • II. Person Singular Preterit Indicative
  • III. Person Singular Preterit Indicative
  • I. Person Plural Preterit Indicative
  • II. Person Plural Preterit Indicative
  • III. Person Plural Preterit Indicative
  • Participle I
  • Participle II
  • I. Person Singular Present Subjunctive
  • II. Person Singular Present Subjunctive
  • III. Person Singular Present Subjunctive
  • Imperative Singular
  • Imperative Plural


"Government" dialog box

This dialog box is intended for adding or editing the information about the government of a source word. In the fields of this dialog box the models of government are displayed. To change the model of government, click the appropriate Change button.

The following models of government can be stated for the source English word:

  • Non-Prepositional Government - is defined in case the source word can be used in combination with a noun without a preposition.
  • Prepositional Government - is defined in case the source word can be used in combination with a noun with a preposition.
  • Government of the Infinitive - is defined in case the source word can be used in combination with the Infinitive.
  • Government according to model "Preposition + Noun" (Functional characteristic) - is defined in case the source noun can be preceded by a preposition.
  • Government of a Clause - is defined in case the source word can be used in combination with the clause starting with conjunction 'THAT'.

Pay attention that you can indicate different government information for transitive and intransitive meanings of a verb.

You can indicate up to five prepositions governed by the source word.

See also:

Examples of the government

How the government information affects the translation quality


"Government of Clause" dialog box

To specify the government of a clause:

  1. Mark ...that… model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

In some cases you will see the Change Translation button in this dialog which will allow you to give another translation of the source word for the specified construction.

See also:

Example of government of a clause


"Government of Infinitive" dialog box

To specify the government of the Infinitive:

  1. Mark the appropriate model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

In some cases you will see the Change Translation button in this dialog which will allow you to give another translation of the source word for the specified construction.

See also:

Examples of government of the Infinitive


"Non-Prepositional Government" dialog box

To specify the non-prepositional government:

  1. Mark the appropriate model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

See also:

Examples of non-prepositional government


"Prepositional Government" dialog box

To specify the prepositional government:

  1. Select the preposition governed by the source word in the Source Model for Key list.
  2. Select the corresponding construction in the Target Model for Translation list.

See also:

Examples of prepositional government


"Model (Preposition + Noun)" dialog box

To specify the government according to the model:

  1. Mark the appropriate model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

Don't mix up this model of the government (Functional characteristic) with the prepositional government of the noun.

See also:

Examples of government according to model (Preposition + Noun)


"Inactive translations" dialog box

This dialog box allows you to view or edit the list of inactive translations.

To edit the list of inactive translations, select the translation, click the right mouse button and choose one of the following commands from the context menu:

  • The Comment command - allows you to add any text which should be considered as comment for the current translation;
  • The Make active command - allows you to make the current inactive translation active.


"Inflexion Type" dialog box

To define the inflexion type of the words of an adjective collocation, do the following:

  1. Select the adjective in the Words list.
  2. Mark the Adjective item.
  3. Click the Degrees of comparison button. The program automatically determines the acceptable forms of the source word, you should only correct them if necessary.
  4. Mark the Unchanged item for the other words of the collocation.
  5. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the adjective collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a noun collocation, do the following:

  1. Select the main noun in the Words list.
  2. Mark the Noun item.
  3. Click the Declension button. The program automatically determines the acceptable forms of the source word, you should only correct them if necessary.
  4. For each other changeable word in the collocation you should mark the appropriate Adjective or Noun item and click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  5. Mark the Unchanged item for the unchangeable words in the collocation.
  6. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the noun collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a verb collocation, do the following:

  1. Select the verb in the Words list.
  2. Mark the Verb item.
  3. Click the Conjugation button. The program automatically determines the acceptable forms of the source word, you should only correct them if necessary.
  4. Mark the Unchanged item for the unchangeable words in the collocation.
  5. Click OK.

The inflexion type should be determined only for the words that really vary at conjugation of the collocation.

See also:

Example of defining the inflexion type of the verb collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of an adjective collocation, do the following:

  1. In the Degrees of comparison by the pattern questionnaire mark the appropriate model of the output adjective.
  2. Select the adjective in the Words list.
  3. Mark the Adjective item.
  4. Click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  5. Mark the Unchanged item for the other words of the collocation.
  6. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the adjective collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a noun collocation, do the following:

  1. In the Gender and Number questionnaire mark the appropriate Gender and Number of the output noun.
  2. Select the main noun in the Words list.
  3. Mark the Noun item.
  4. Click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  5. For each other changeable word in the collocation you should mark the appropriate Adjective or Noun item and click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  6. Mark the Unchanged item for the unchangeable words in the collocation.
  7. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the noun collocation


"Morphological characteristic" dialog box

This dialog box allows you to specify some additional information about the German verb:

  • Auxiliary verb (haben or sein) which should be used with the verb during its conjugation.
  • Reflexive pronoun (mich (in Accusative case) or mir (in Dative case)) which should be used with the reflexive form of the verb.


"New Entry" dialog box

Select the part of speech of the source word or of the main word in the collocation.

  • A noun answers the question 'Who?’ or 'What?' and designates a subject (for example, book, actual tax).
  • An adjective answers the question 'What kind?' and designates the quality of the subject (for example, small, strange looking).
  • A verb answers the question 'What to do?' (for example, begin, make a decision).
  • An adverb answers the question 'How?' (for example, quickly).

If you enter a collocation and determine its part of speech as a verb, you will be suggested to enter this collocation as a phrase with insertion:

  1. Check the Phrase with insertion check box.
  2. Click the Choose phrase type button to determine the type of the phrase with insertion.


"Noun" tab

"Noun" tab ("Entry" dialog box)

This tab contains the description of the noun entry in an English-German dictionary. You may add or edit the translations and grammar information assigned to the noun entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry;
  • Grammar information:
    • Number questionnaire - indicates the number of the source noun;
    • Name questionnaire - indicates whether the source noun is a Proper name or a Common name;
    • Semantic class list - specifies the information related to the general meaning of the source noun.
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations.
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the dialog box;
  • Government button - allows you to enter the government information.

The Government button is displayed only if you work in the Expert mode and after the translation equivalent is entered.

See also:

How to enter a noun in the English-German dictionary


"Phrase with insertion" dialog box

This dialog box allows you to specify the type of the phrase with insertion.

In the Phrase type group you can see a table which describes the accessible types of phrases with insertion:

  • The Phrase structure column describes the structure of the source phrase of the definite type.
  • The Type of insertion column describes the type of the words or groups of words which may be inserted between the parts of the given phrase.
  • The Example column presents the examples of the specified type of phrase.

In the Place of insertion group you can view the source phrase with the marked place of possible insertion (by brackets).

If the source phrase with insertion consists of more than two words, you can change the place of insertion by clicking the appropriate place at the line with red asterisk.

In the Max. number of inserted words box you can specify the maximum amount of words which may be inserted at the place of insertion (maximum 9).

Not all types of phrases with insertion demand this parameter.

Check the appropriate type of phrase with insertion and click OK.

See also:

Examples of phrases with insertion


"General" tab

"General" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some general linguistic options of the program.

In the Search for the existing entry group:

  • Unmark the Search in all the dictionaries option, if you want to enter a word as a new one and define its Inflexion Type yourself.

Be sure, that you typed the word in its initial form.

In the Search for the Inflexion Types for the translations group:

  • Mark the Search in all the dictionaries of the reverse direction option (for all xR-directions), then while entering the Russian translation equivalent (word or word combination) the program will search for it in the dictionaries for which the Russian language is the source language, and thus automatically determine its Inflexion type.

This function is accessible only for xR-directions, for which the Russian language is the target language.

  • Mark the Search in the History option, then while entering the translation equivalent (word or word combination) the program will store the inflexion type of each word. Then while entering a new translation equivalent the program will first search for its inflexion type among the recently stored.

This function is accessible for all directions of translation.

Use this function, if during the work session you often enter the translation equivalents consisting of repeated words.

If the program didn't manage to determine the inflexion type for the translation equivalent by none of the above mentioned methods, the standard method of determining the inflexion type will be suggested.

If you want to change the inflexion type for the translation equivalent which was entered earlier, unmark the Search in all the dictionaries and the Search in the History options, delete the translation and enter it once more.


"General" tab

"General" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some linguistic options of the program.

In the Search for the existing entry group:

  • Mark the Do not search option, if you want to enter a word as a new one and define its Inflexion Type yourself.
  • Mark the Search only in the current dictionary option, if you want to search for the existing entry only in the current dictionary.
  • Mark the Search in all the dictionaries option, if you want to search for the existing entry in any dictionary of the current direction of translation.

Be sure, that you typed the word in its initial form.

In the Search for the Inflexion Types for the translations in the dictionaries of the reverse direction group (for example, while entering the translation equivalent in the English-Russian dictionary):

  • Mark the Do not search option, if you want to enter a word as a new one and define its inflexion type yourself.

  • Mark the Search only in the General dictionary of the reverse direction option - then the program will search for the entered translation in the Russian-English General dictionary.

  • Mark the Search in all the dictionaries of the reverse direction option - then the program will search for the entered translation in all Russian-English dictionaries.

  • Mark the Search in all the dictionaries of the reverse input language option - then the program will search for the entered translation in all Russian-English, Russian-French and Russian-German dictionaries if the appropriate directions of translation are installed on your computer.

This function is accessible only for xR-directions, for which the Russian language is the target language.

In the Search for the Inflexion Types for the words of translation in the History group:

  • Mark the Search option, and specify for which part of speech it should be used:
    • Noun
    • Adjective
    • Verb

    Then while entering a translation equivalent (word or word combination) the program will store the inflexion type of each word, and while entering a new translation equivalent it will first search for its inflexion type among the recently stored.

This function is accessible for all directions of translation.

Use this function, if during the work session you often enter the translation equivalents consisting of repeated words.

If the program didn't manage to determine the inflexion type for the translation equivalent by none of the above mentioned methods, the standard method of determining the inflexion type will be suggested.

If you want to change the inflexion type for the translation equivalent which was entered earlier, unmark the Search in all the dictionaries and the Search in the History options, delete the translation and enter it once more.


"Special" tab

"Special" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some special linguistic options of the program.

In the Search for ambiguity group:

  • Mark the Do not search option, if you don't want the program to search for ambiguous word forms and save them into the dictionary.
  • Mark the Search only in the current dictionary option, if you want the program to search for ambiguous word forms only in the current dictionary.
  • Mark the Search in the current and the General dictionary option, if you want the program to search for ambiguous word forms in the current and in the General dictionary.
  • Mark the Ask confirmation, if you want to see the warning window after the program has created a homonymous entry.

This function is accessible NOT for all directions of translation.

In the Additionally group:

  • Mark the Ask confirmation on rewriting option, if you want to see the difference between the previous and the current entry state.

  • Mark the Copy without "multiplication"option, if you want to copy the chosen entries into another dictionary as they are, without creating entries with other possible forms.


"Additional" tab

"Additional" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some special linguistic options for the input English language.

In the Confirmation on copying the word forms from the General dictionary group:

  • Mark the Ask confirmation option, if you want to see the warning window before the program has copied some word forms from the General dictionary related to the current entry.


"Professional" tab

"Professional" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some linguistic options of the program which are accessible only in the professional mode of entry editing.

  • Mark the Swap "Save in" and "Save in forms" actions option, if you want to use one or another mode in the window of professional entry editing.


"Translation" dialog box

To enter a new translation equivalent or change the existing one:

  • Type a word or a collocation in its initial form corresponding to the source entry.

Words should be typed in lower case letters, unless they are nouns.

See also:

Rules for entering translation equivalents


"Translation" dialog box

To enter a new translation equivalent or change the existing one:

  • Type a word or a collocation in its initial form corresponding to the source entry.

Words should be typed in lower case letters, unless they are nouns.

Substantivized translation option - allows you to enter the translation of the source noun in a form of a substantivized adjective.

See also:

Rules for entering translation equivalents


"Valid verb forms" dialog box

This dialog box allows you to exclude some verb forms from the dictionary entry in case they are used extremely seldom in the function of the verb but, on the contrary, are often used in the functions of some other part of speech.

By default, all the verb forms are considered valid.

  • To exclude some verb forms from the dictionary entry, remove the checkmark for the appropriate form.

For example, the word form 'interesting' is very often used in the function of an adjective, and is extremely seldom used in the function of the verb. So, the form of Participle I of the verb 'to interest' can be excluded from the dictionary entry.


"Verb" tab

"Verb" tab ("Entry" dialog box)

This tab contains the description of the verb entry in an English-German dictionary. You may add or edit the translations and grammar information assigned to the verb entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Grammar information:
    • Morphology questionnaire - indicates the forms of the source verb;
    • Voice questionnaire - indicates the information on the transitivity of the source verb;
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box;
  • Government button - allows you to enter the government information.

The Government button is displayed only if you work in the Expert mode and after the translation equivalent is entered.

If you mark the Participle II in the Morphology questionnaire, you will see additional Constructions questionnaire to indicate in which constructions this participle is usually used.

If you edit the entry for the verb collocation determined as a phrase with insertion, you will see an additional Phrase type button which will allow you to view the type of the specified phrase.

See also:

How to enter a verb in the English-German dictionary


Ending

Ending in the machine translation systems is the whole changeable part of a word, i.e. the part of the word which changes at its declination or conjugation (e.g. 'finish', 'finishED', 'finishING', etc.).


Dictionary Entry

Dictionary entry (or simply entry) in the machine translation systems is an element of the dictionary which correlates the information about the source word or collocation with its translation. A dictionary entry consists of:

  • Headword
  • Grammatical information
  • Translation equivalents

See also:

Example of an entry


List of abbreviations used in the comments of the English General dictionary

  • admin - administration
  • adv - adverb
  • agr - agriculture
  • anat - anatomy
  • anthrop - anthropology
  • archeol - archaeology
  • archit - architecture
  • astrol - astrology
  • astron - astronomy
  • aut - automobiles
  • aviat - aviation
  • bacteriol - bacteriology
  • biochem - biochemistry
  • biol - biology
  • bot - botany
  • chem - chemistry, chemicals
  • cine - cinematography
  • cloth - clothing
  • cul - culinary
  • def art - definite article
  • dem - demonstrative
  • dir obj - direct object
  • ecol - ecology
  • econ - economy, economics
  • elec - electricity, electronics
  • ent - entomology
  • f - feminine
  • fin - finance
  • fut - future
  • geog - geography
  • geol - geology
  • geom - geometry
  • UK - Great Britain
  • hist - history
  • hort - horticulture
  • indef - indefinite
  • indef art - indefinite article
  • indic - indicative
  • indir obj - indirect object
  • interrog - interrogative
  • intrans - intransitive
  • ling - linguistics
  • mach - machinery
  • m - masculine
  • math - mathematics
  • mech - mechanical
  • med - medicine
  • meteor - meteorology
  • mil - military
  • min - mineralogy
  • mus - music
  • naut - nautical
  • org - organization
  • ornith - ornithology
  • ophtalm - ophthalmology
  • opt - optics
  • pers - person
  • pharm - pharmacy
  • phylos - philosophy
  • phys - physics
  • physiol - physiology
  • pharm - pharmacy
  • phot - photography
  • pl - plural
  • psych - psychology
  • psychiat - psychiatry
  • pharm - pharmacy
  • phot - photography
  • polit econ - political economics
  • pol - politics
  • pref - prefix
  • pron - pronoun
  • rail - railways
  • refl - reflexive
  • rel - religion
  • sci - science
  • sing - singular
  • tech - technology, technical terminology
  • tv - television
  • tex - textiles
  • theat - theater
  • trans - transitive
  • veter - veterinary science
  • zool - zoology


Examples of the government in the English-German dictionary

Non-Prepositional Government:

  • translate smbd(smth) - übersetzen j-n (etwas)
  • admire smbd(smth) - bewundern j-n (etwas)

Prepositional Government:

  • address TO smbd(smth) - richten AN j-n (etwas)
  • admire FOR smbd(smth) - bewundern WEGEN j-s (etwas)
  • adapt FOR smbd(smth) - anpassen AN j-n (etwas)

Government of the Infinitive:

  • keep DOING smth - fortsetzen zu tun
  • avoid DOING smth - vermeiden zu tun
  • choose TO DO smth - sich dafür entscheiden zu tun

Government of a Clause:

  • mean THAT - bedeuten , dass ...
  • demand THAT - fordern , dass ...

Government according to model (Preposition + Noun):

  • by profession - von Beruf
  • in accident - bei Unfall

Different government for transitive and intransitive meanings of a verb:

  • Verb Transitive: adapt [smbd (smth)] - anpassen j-n (etwas)
  • Verb Intransitive: adapt TO [smbd (smth)] – sich anpassen AN j-n (etwas)


Example of a headword

Example of an English headword relating to different tabs in the dictionary

  • to battle - Verb
  • a battle - Noun


Example of defining the inflexion type of an English adjective collocation

Let's consider, for example, a collocation 'strange looking':

  • strange looking
  • stranger looking

It is necessary to determine the inflexion type only for the adjective 'strange'.

  • strange - Adjective
  • looking - Unchanged

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of an English noun collocation

Let's consider, for example, a collocation 'actual tax':

  • actual tax
  • actual taxes

It is necessary to determine the inflexion type only for the noun 'tax':

  • actual - Unchanged
  • tax - Noun

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of an English verb collocation

Let's consider, for example, a collocation 'make a decision':

  • make a decision
  • made a decision

It is necessary to determine the inflexion type only for the verb 'make'.

  • make - Verb
  • a - Unchanged
  • decision - Unchanged

The inflexion type should be determined only for the words that really vary at conjugation of this collocation.


Example of defining the inflexion type of a German adjective collocation

Let's consider, for example, a collocation 'ziemlich klein':

  • ziemlich klein
  • ziemlich klein er
  • ziemlich klein sten

It is necessary to determine the inflexion type only for the adjective 'klein'.

  • ziemlich - Unchanged
  • klein - Adjective

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of a German noun collocation

Let's consider, for example, a collocation 'die fremde Sprache':

  • der fremden Sprache
  • die fremden Sprache n
  • den fremden Sprache n

It is necessary to determine the inflexion type for each word:

  • Sprache - Noun
  • fremden - Adjective

Let's consider, for example, a collocation 'die Akademie der Wissenschaften':

  • die Akademie der Wissenschaften
  • der Akademie der Wissenschaften
  • den Akademien der Wissenschaften

It is necessary to determine the inflexion type only for the noun 'die Akademie'.

  • Akademie - Noun
  • der - Unchanged
  • Wissenschaften - Unchanged

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Examples of English phrases with insertion

The following types of phrases with insertion are accessible:

a) Verb + [...] + postpositive

Here the postpositive can be expressed by:

  • adverb (e.g., 'put smth back', 'break smth down')
  • preposition, NOT followed by the noun group (e.g., 'add smth on')
  • prepositional noun group (e.g., 'put smb in jail')

b) Verb + [...] + preposition + [noun group]

Here the preposition MUST be followed by the noun group:

  • 'ask smb for smth'
  • 'accommodate smb with smth'

c) Verb + [...] + adjective (or participle)

Here the verb is usually the verb 'to be' or copulative verb:

  • 'be ... ashamed', 'be ... asleep', 'be ... fed up',
  • 'feel ... sorry', 'feel ... ashamed', 'look ... right'

d) Verb + [...] + object

This type of phrase with insertion is used for changing the translation of the verb in combination with the definite noun in the function of direct object. You may also change the translation of the given noun. If you don't change the translation of the given noun, the program will take it from the current dictionary.

This type of phrase with insertion does not need to specify the maximum number of inserted words.

  • 'make ... decision'
  • 'pay ... attention'
  • 'take ... exam'
  • 'enter ... appeal'

This phrase with insertion will be recognized, if the given noun functions as the direct object (e.g., 'He took the last exam'), or if it is a subject of the given verb in passive construction (e.g., 'An exam was taken by him').


Example of an additional translation for a predicative adjective

The adjective 'certain' has the translations 'gewiß' and 'sicher' (as a predicative adjective):

  • 'He has a certain plan.' - 'Er hat einen gewissen Plan.'
  • 'He is certain that she will come.' - 'Er ist sicher, dass sie kommen wird.'


Examples of proper and common names

Examples of English proper and common names

  • London, Mary - Proper name
  • finish, computer - Common name


Examples of English words

Examples of English homonymous words

There are English words (e.g., 'father', 'star', 'coach', 'age', 'chair') which are usually used in the function of a noun, but in some rare cases they may be used in the function of a verb:

  • 'He chairs the finance committee.'
  • 'She stars in a new romantic comedy.'

There are English words (e.g., 'good', 'fine', 'poor', 'young', 'major', 'unemployed', 'homeless') which are usually used in the function of an adjective, but in some rare cases they may be used in the function of a noun:

  • 'More than 44 percent of the unemployed are under 30.'
  • 'The good is the enemy of the best.'


Examples of semantic classes

  • professor - Animate
  • army - Collective noun
  • abduction - Action
  • bank - Institution
  • London - Geography
  • John - Given name
  • sugar - Substances
  • aeronautics - Field of activity
  • adequacy - Quality
  • meter - Units of measure
  • bill - Writing
  • dollar - Currency
  • bear - Animal
  • table - No information


Example of the substantive translation for Gerund

Let's consider, for example, the translations of the following word forms:

finishing:

  • beendend - translation for Patriciple I of the verb beenden
  • das Vollenden - translation for Gerund

choosing:

  • auswählend - translation for Patriciple I of the verb auswählen
  • das Wählen - translation for Gerund


Examples of transitive and intransitive verbs

Examples of English transitive and intransitive verbs

  • bring - transitive verb (He brought a book.)
  • go - intransitive verb (He went to the cinema.)

The verb 'operate' can be both transitive and intransitive:

  • She can operate this engine - Transitive meaning
  • This program operates slowly - Intransitive meaning


Example of an entry in the English-German

Let's consider an example of an entry of the word 'finish' in the English-German dictionary. The word 'finish' relates to several parts of speech and has its own translations for each of them:

Headword | Grammatical information | Translations
'finish' | Noun | 'die Schicht'
 | Verb, Transitive | 'beenden''
 | Verb, Intransitive | 'fertig sein'

For displaying and editing the dictionary entry there is the Entry dialog.


General dictionary

General dictionary is the main dictionary of the machine translation system, which contains common lexicon for the certain direction of translation. Each direction of translation has its own General dictionary which is delivered with the system. The General dictionary is always attached during translation.

General dictionary is closed to the users, i.e. it can't be modified. But you can open an entry from the General dictionary, modify it and then store in your own user dictionary.


Government

Government in the machine translation systems is a subordination of word, collocation or phrase with/without a preposition (conjunction) to the main word. The government may be of the following types:

  • Prepositional Government - for example, to equip WITH
  • Non-prepositional Government - for example, to become a worker; to write a book
  • Government of the Infinitive or Gerund - for example, an opportunity to work, an opportunity of working
  • Government of the Subordinate Clause - for example, to speak, that


Rules for entering German translation equivalents

Rules for entering a word:
  • A verb should be entered in the form of Infinitive (for example, beginnen).
  • A noun should be entered in nominative case, singular, with an article and from the capital letter (for example, das Buch), except the case when the noun is used only in plural (for example, die Kosten).
  • An adjective should be entered in the positive degree of comparison (for example, klein).
  • There are no special restrictions on the form of an adverb.

Rules for entering a collocation:
  • The main word in a collocation should be entered according to the rules for entering words.

Words should be typed in lower case letters, unless they are nouns.


How the government information affects the translation quality

Let us consider an example of a sentence in which the government information for the verb 'hope' is not specified.

Source text: 'I hope to meet my friend'.

Translation: 'Ich hoffe, um meinen Freund zu treffen'.

This translation is incorrect since the verb 'hope' used with infinitive should be translated into German: 'hoffen zu tun'.

You may enter the necessary information into the entry for the verb 'hope' by clicking the Change button of the "...+Infinitive" model in the Government dialog box. Mark the "to do" model in the Source Model for Key field and select the corresponding construction in the Target Model for Translation. Then you will get the correct translation:

'Ich hoffe, meinen Freund zu treffen.'


Inflexion Type

Inflexion Type is a set of all the word forms of a certain word.


Headword

Headword in the dictionaries of the machine translation systems is a stem or a word form of a source word or a stem/word form of a collocation in the source language as the forming element of the dictionary entry.


"Active translations" list

Active translations list contains the active translations for the source word or collocation according to the specified grammar information.

You may edit the list of active translations using the buttons or commands from the pop-up menu (Add, Edit, Delete, Up, Down, Comment, Make inactive), which become accessible if you place the mouse cursor in the field of the list and click the right mouse button.


"Dictionaries" list

Dictionaries list contains the dictionaries of the given direction of translation where the source word is found.

The active entry belongs to the marked dictionary in the list. You can look through translations of the source word in other dictionaries, selecting them in this list.

All the changes of the entry can be saved only in the user dictionary specified at the bottom of the dialog box.

It is recommended to look through the translations of the source word in other dictionaries before you start editing the active entry. Otherwise you will be prompted to save the changes while switching to another dictionary.


Paradigm

Paradigm in the machine translation systems is a set of endings of the certain Inflexion Type.


Phrase with insertion

Phrase with insertion - is a special type of verb collocation which allows the insertion of definite words between separate parts of this phrase.

The program allows to enter several types of phrases with insertion which differ by the structure of the phrase and by the type of insertion.

See also:

Examples of phrases with insertion


Grammatical information

Grammatical information in the machine translation systems is the description of grammatical categories, relations and semantic characteristics of the source word or collocation in the dictionary entry.


About PROMT company

PROMT company (PROMT Ltd., Russia) is the leading provider of innovative machine translation technologies (MT). It is the acknowledged researcher in the field of natural languages processing. The powerful combination of latest achievements in linguistics and perfection of technological process ensures the high quality of its systems.

The company’s objective is to create the software that can help in overcoming the language barrier. In the recent years the PROMT company has been emphasizing online translation for the Internet, fast expansion of which is limited by the world’s linguistic diversity.

PROMT company is the author of the machine translation systems which provide the full range of translation solutions and are intended to meet the requirements of different groups of users.

For simplification of work in the Internet and for popularization of the modern linguistic methods developed by the company, the PROMT company supports the free-of-charge server of translations (http://www.translate.ru).

@promt is a trademark owned by PROMT Ltd. The name "PROMT" which appears in this program is a textual representation of the @promt trademark. Other brands and product names are trademarks or registered trademarks of their respective owners.

The detailed information about the company and its products can be found out on the Web-site of the PROMT company.

Address: | 61, Vyborgskaya emb., Saint-Petersburg, Russia, 197342
Phone: | +7-(812)-245-16-06
Fax: | +7-(812)-327-44-83
E-mail: | support@promt.ru (Technical Support Service)
 | common@promt.ru (Commercial Department)
WWW: | http://www.e-promt.com/
 | http://www.translate.ru/


Semantic class

Semantic class is a class of the words which are united by the mutual sense. Semantic characteristic describes the belonging of a notion defined by a word or collocation to one of the categories, for example "Geographical Name", "Document", "Activity", "Quality", etc.


Source word

Source word is a sequence of characters from a blank up to a blank in the source language (for example, in the English-Russian system this word is in English).


Specialized dictionary

Specialized dictionary in the machine translation systems is a dictionary intended for the extension of dictionary database and customizing it for some specific domain. Using the specialized dictionaries you can get more qualitative translation of texts on different topics.

Specialized dictionaries usually are not included into the installation set but may be purchased separately.

Specialized dictionary can't be edited. But you can open an entry from the specialized dictionary, modify it and then save in your own user dictionary.

Specialized dictionaries can be included or removed from the system ONLY by the special Installation of Specialized Dictionaries and Topic Templates program.


Stem

Stem in the machine translation systems is the whole unchangeable part of a word without the ending, i.e. the part of the word which remains unchanged at its declination or conjugation (e.g. 'FINISH', 'FINISHed', 'FINISHing', etc.).


Direction of translation

Direction of translation in the machine translation systems is the language pair, which specifies from what source language into what target language the chosen text(s) will be machine-translated.

For example, if the source text is English, and you are going to translate it into Russian, select the English-Russian direction.

Source language - is the language FROM which the text is being translated.

Target language - is the language INTO which the text is being translated.


Translation equivalents

Translation equivalents in the dictionaries of the machine translation systems are all possible variants of translation for the source word or collocation.

Translation equivalents should be entered as word forms (for unchangeable parts of speech), or stems (for changeable parts of speech) and Inflexion type. Inflexion type should be defined for correct coordination of words in the sentence while translating.

If the source word (collocation) relates to several parts of speech, each of them should have its own translation equivalents. But it is not recommended to give more than 2 translation equivalents for each part of speech, for it will make the translation "heavier" (additional variants of translation will be given in brackets).


User dictionary

User Dictionary in the machine translation systems is a dictionary which you can create and update yourself. If you want to add new words to the dictionary or modify the existing entries from the General or specialized dictionaries, you can do it in your own user dictionary. The amount of user dictionaries is not limited.

All new and changed entries can be stored ONLY in the user dictionaries!

If you want to use the meanings from your user dictionary during translation, it should be attached and with the highest priority (that means that this dictionary should be placed the first in the list of attached dictionaries).


User's Skill

User’s Skill: Expert/Beginner

User's Skill in the machine translation systems defines the level of your qualification while working with the dictionary entry: Beginner or Expert.

The Beginner mode is intended for less experienced user. You are suggested to enter minimum information into the entry, the major part of it is automatically determined by the program. You are not suggested to view and edit the information about the government of the source word. Besides, the program automatically defines the Inflexion Type of the output Russian nouns and adjectives.

The Expert mode is intended for more experienced user. You are provided with access to all information stored in the dictionary entry. You can enter and edit the information about the government of the source word. Besides, while defining the inflexion type, the program will suggest you to accept its choice, that will reduce the risk of entering the incorrect forms.


Word form

Word form is a word in the definite grammatical form.